Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.client
Class TunnelRefusedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.http.HttpException
                  org.apache.http.impl.client.TunnelRefusedException

All Implemented Interfaces:
  Serializable

    @Immutable
    public class TunnelRefusedException

extends HttpException

Signals that the tunnel request was rejected by the proxy host.

Since:
  4.0
See Also:
  Serialized Form

Constructor Summary
`TunnelRefusedException(String message, HttpResponse response)`

Method Summary
`HttpResponse` | `getResponse()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TunnelRefusedException

    public TunnelRefusedException(String message,
                                  HttpResponse response)

Method Detail

### getResponse

    public HttpResponse getResponse()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.